import { Navigate, Outlet, Route, Routes, useLocation } from 'react-router-dom';
import Home from '~/driving/main/pages';
import { routes } from '~/driven/utils/configs/appConfig';

export default function Router() {
  const location = useLocation();

  return (
    <Routes location={location} key={location.key}>
        <Route index element={<Home />} />
        <Route path='*' element={<Navigate to={routes.home} replace />} />
    </Routes>
  );
}
